import { StiLocalizationObject } from "./objects";
import { Subject } from "rxjs";
import * as i0 from "@angular/core";
export declare class StiLocalizationService {
    currentLocalization: StiLocalizationObject;
    defaultLocalization: StiLocalizationObject;
    private _localizationList;
    get localizationList(): StiLocalizationObject[];
    set localizationList(array: StiLocalizationObject[]);
    private static localization;
    private static deflocalization;
    constructor();
    private static setDeflocalization;
    static needToRefresh: Subject<boolean>;
    toCamelCase(obj: any): any;
    private static updateLocalization;
    loadLocalization(str: string): void;
    changeCurrentLocalization(locName: any): void;
    static setLocalization(str: string): void;
    static get(category: string, key: string): string;
    getP(key: string): string;
    get2(category: string, key: string): string;
    private static xml2json;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiLocalizationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiLocalizationService>;
}
